aboutsummaryrefslogtreecommitdiffstats
path: root/deploy/prepare.sh
diff options
context:
space:
mode:
Diffstat (limited to 'deploy/prepare.sh')
-rwxr-xr-xdeploy/prepare.sh13
1 files changed, 12 insertions, 1 deletions
diff --git a/deploy/prepare.sh b/deploy/prepare.sh
index e8b2103e..f1aacd98 100755
--- a/deploy/prepare.sh
+++ b/deploy/prepare.sh
@@ -1,4 +1,16 @@
+function print_logo()
+{
+ if ! apt --installed list 2>/dev/null | grep "figlet"
+ then
+ sudo apt-get update -y
+ sudo apt-get install -y --force-yes figlet
+ fi
+
+ figlet -ctf slant Compass Installer
+ set +x; sleep 2; set -x
+}
+
function download_iso()
{
iso_name=`basename $ISO_URL`
@@ -15,7 +27,6 @@ function download_iso()
curl --connect-timeout 10 -o $WORK_DIR/cache/$iso_name $ISO_URL
}
-
function prepare_env() {
export PYTHONPATH=/usr/lib/python2.7/dist-packages:/usr/local/lib/python2.7/dist-packages
sudo apt-get update -y